misc: fix the static vppctl build

Change I58e1ae1c91f4a62e80eaf4e16e9932d8bab17c74 has introduced a reference to config.h,
which is not there in a case of building a static standalone vppctl.

Solution: add a variable STATIC_VPPCTL which, when defined, avoids including
the missing include file. Thanks a lot to Damjan for the suggestion.

Type: fix
Change-Id: I133235ba07e5c2e0d5669be9c2292cab0fdf436f
Signed-off-by: Andrew Yourtchenko <ayourtch@gmail.com>
diff --git a/extras/scripts/build_static_vppctl.sh b/extras/scripts/build_static_vppctl.sh
index dd8a601..eafd24c 100755
--- a/extras/scripts/build_static_vppctl.sh
+++ b/extras/scripts/build_static_vppctl.sh
@@ -1,4 +1,5 @@
 #/bin/env bash
+set -eu
 
 src=$(realpath $(dirname $0)/../..)/src
 
@@ -8,6 +9,7 @@
  -O2 \
  -flto \
  -static \
+ -D STATIC_VPPCTL \
  -I ${src} \
  -g \
  ${src}/vpp/app/vppctl.c \
diff --git a/src/vpp/app/vppctl.c b/src/vpp/app/vppctl.c
index 7c96517..f1d69c3 100644
--- a/src/vpp/app/vppctl.c
+++ b/src/vpp/app/vppctl.c
@@ -34,7 +34,9 @@
 
 #include <vppinfra/clib.h>
 #include <arpa/telnet.h>
+#ifndef STATIC_VPPCTL
 #include <vpp/vnet/config.h>
+#endif
 
 #define SOCKET_FILE "/run/vpp/cli.sock"
 
@@ -162,7 +164,7 @@
   return j;
 }
 
-#ifdef CLIB_SANITIZE_ADDR
+#if !defined(STATIC_VPPCTL) && defined(CLIB_SANITIZE_ADDR)
 /* default options for Address Sanitizer */
 const char *
 __asan_default_options (void)